#841 closed defect (fixed)

sem_timedwait broken

Reported by: dufault Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: score Version: 4.6
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

sem_timedwait is totally broken. It returns an error code instead of setting errno and returning -1. Also, if you pass in a non-zero value for the number of nanoseconds it immediately returns EINVAL - it looks like it is broken range checking code.

Release:
4.6.99

Environment:
All

Attachments (1)

timedwait.diffs (1.5 KB) - added by dufault on Dec 3, 2006 at 1:31:13 PM.
timedwait.diffs

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Nov 2, 2005 at 9:33:22 PM by Joel Sherrill

Status: assignedwaiting

Changed on Dec 3, 2006 at 1:31:13 PM by dufault

Attachment: timedwait.diffs added

timedwait.diffs

comment:2 Changed on May 7, 2008 at 10:51:06 PM by Joel Sherrill

Milestone: 4.9
rep_platform: All

comment:3 Changed on Aug 5, 2008 at 3:02:22 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed

If this wasn't dealt with before, PR1291 killed it dead.

Note: See TracTickets for help on using tickets.